ru.bitel.bgbilling.modules.inet.api.common.bean

## Class TrafficRangeDetailReport

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.TrafficRangeDetailReport

-     public class TrafficRangeDetailReport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrafficRangeDetailReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TrafficRangeDetailValue>` | `getDetailValueList()`
    `long` | `getMaxAmount()`
    `int` | `getMode()`
    `int` | `getTariffOptionId()`
    `java.lang.String` | `getTitle()`
    `long` | `getTreeNodeId()`
    `int` | `getType()`
    `void` | `setDetailValueList(java.util.List<TrafficRangeDetailValue> trafficRangeDetailList)`
    `void` | `setMaxAmount(long maxAmount)`
    `void` | `setMode(int mode)`
    `void` | `setTariffOptionId(int tariffOptionId)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setTreeNodeId(long treeNodeId)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrafficRangeDetailReport

          public TrafficRangeDetailReport()

  - ### Method Detail

    - #### getTreeNodeId

          public long getTreeNodeId()

    - #### setTreeNodeId

          public void setTreeNodeId(long treeNodeId)

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getTariffOptionId

          public int getTariffOptionId()

    - #### setTariffOptionId

          public void setTariffOptionId(int tariffOptionId)

    - #### getMaxAmount

          public long getMaxAmount()

    - #### setMaxAmount

          public void setMaxAmount(long maxAmount)

    - #### getDetailValueList

          public java.util.List<TrafficRangeDetailValue> getDetailValueList()

    - #### setDetailValueList

          public void setDetailValueList(java.util.List<TrafficRangeDetailValue> trafficRangeDetailList)